@TestOn("vm")

import "package:test/test.dart";
import "package:string2tree/string2tree.dart" as s2t;
import "package:string2tree/object_dumper.dart";

void main() {
	group("RemoveSpaces -",() {
		setUp(() async {
		});
		tearDown(() async {
		});
		test("single level", () async {
			List r = new s2t.Parser("this is a single quote").removeSpaces().result;
			expect(r.length,5);
		});
		test("two levels", () async {
			List r = new s2t.Parser("this is a( single text with) one brackets").brackets(-1).removeSpaces().result;
			expect(r.length,6);
			expect(r[3]["children"].length,5);
		});
	});
}